/*
	Smoke Sensor with LED and DC motor as 
    Output Device
*/

int const GAS_SENSOR = A1;
int LED_RED = 7;
int LED_GREEN = 6;
int DC_MOTOR1 = 5;
int DC_MOTOR2 = 4;

void setup(){
    pinMode(A1,INPUT);
  	pinMode(LED_RED, OUTPUT);
    pinMode(LED_GREEN, OUTPUT);
    pinMode(DC_MOTOR1, OUTPUT);
    pinMode(DC_MOTOR2, OUTPUT);
    
    Serial.begin(9600);
}

void loop(){
    int valor = analogRead(GAS_SENSOR);
    valor = map(valor, 300, 750, 0, 100);
    digitalWrite(LED_RED, HIGH);
  	digitalWrite(LED_GREEN, valor >= 30 ? HIGH : LOW);
    digitalWrite(DC_MOTOR1, valor >= 30 ? HIGH : LOW);
    digitalWrite(DC_MOTOR2, valor >= 50 ? HIGH : LOW);
  delay(250);
}